> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a conversation by ID



## OpenAPI

````yaml api-reference/data/openapi.json GET /v1/agents/{agentId}/conversations/{conversationId}
openapi: 3.1.0
info:
  title: Data API
  version: 1.0.9
  description: Query conversations, recordings, annotations, notes, and debug chat.
servers:
  - url: https://api.us.poly.ai
  - url: https://api.eu.poly.ai
  - url: https://api.uk.poly.ai
  - url: https://api.studio.poly.ai
security:
  - polyApiKey: []
paths:
  /v1/agents/{agentId}/conversations/{conversationId}:
    parameters:
      - name: agentId
        in: path
        required: true
        schema:
          type: string
      - name: conversationId
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Conversations
      summary: Get a conversation by ID
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConversationDetailResponse'
        '401':
          description: Unauthorized – missing or invalid API key
        '403':
          description: Forbidden – insufficient permissions
        '404':
          description: Resource not found
components:
  schemas:
    ConversationDetailResponse:
      description: Public-facing conversation detail (includes turns, metrics).
      type: object
      properties:
        conversationId:
          type: string
        accountId:
          type: string
        projectId:
          type: string
        createdAt:
          type: string
        startedAt:
          type: string
        finishedAt:
          type: string
        channel:
          type: string
        fromNumber:
          type: string
        toNumber:
          type: string
        language:
          type: string
        variantId:
          type: string
        clientEnv:
          type: string
        totalDuration:
          type: integer
        polyaiDuration:
          type: integer
        duration:
          type: integer
        inProgress:
          type: boolean
        handoff:
          type: boolean
        handoffDestination:
          type: string
        handoffReason:
          type: string
        direction:
          type: string
        tags:
          type: array
          items:
            type: string
        polyScore:
          type: number
        shortSummary:
          type: string
        deploymentId:
          type: string
        note:
          type: string
        audioUrl:
          type: string
        turns:
          type: array
          items:
            type: object
        metrics:
          type: object
        functionEvents:
          type: object
      required:
        - conversationId
        - accountId
        - projectId
  securitySchemes:
    polyApiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````